Package org.apache.lucene.facet.taxonomy

## Class TaxonomyMergeUtils

- java.lang.Object
- - org.apache.lucene.facet.taxonomy.TaxonomyMergeUtils

-     public abstract class TaxonomyMergeUtils
      extends Object

  Utility methods for merging index and taxonomy directories.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `merge​(Directory srcIndexDir, Directory srcTaxoDir, DirectoryTaxonomyWriter.OrdinalMap map, IndexWriter destIndexWriter, DirectoryTaxonomyWriter destTaxoWriter, FacetsConfig srcConfig)` | Merges the given taxonomy and index directories and commits the changes to the given writers.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### merge

          public static void merge​(Directory srcIndexDir,
                                   Directory srcTaxoDir,
                                   DirectoryTaxonomyWriter.OrdinalMap map,
                                   IndexWriter destIndexWriter,
                                   DirectoryTaxonomyWriter destTaxoWriter,
                                   FacetsConfig srcConfig)
                            throws IOException

      Merges the given taxonomy and index directories and commits the changes to the given writers.
      Throws:
        `IOException`